/*
 * OffStroke.h - main include file for OffStroke
 *
 * Copyright (C) 2003 Eric Ding
 *
 * Based on McPhling by Mike McCollister <McPhling@MikeMcCollister.com>
 * and Mitch Blevins <mblevin@debian.org>, which was based on
 * LinkHistoryHack by Ben Darnell <bgdarnel@unity.ncsu.edu>, which was
 * based on SampleHack by Roger Chaplin <foursquaredev@att.net>.
 *
 * This file is part of OffStroke.
 *
 * OffStroke is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * OffStroke is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OffStroke; see the file COPYING.  If not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#define APP_ID	'OffS'
#define APP_TYPE sysFileTApplication

// IDs of the different preference types
#define PREFS 0

// features
#define FTR_PREFS            0x115c // 4444
#define FTR_PREFSTEMP        0x115d // 4445
#define FTR_NOTIFICATIONSON  0x115e // 4446
#define FTR_BUTTONS          0x115f // 4447
#define FTR_NUMBUTTONS       0x1160 // 4448
#define FTR_SILK             0x1161 // 4449
#define FTR_NUMSILK          0x1162 // 4450
#define FTR_PSCOLLGRAFFITI   0x1163 // 4451

#define LIST_PADDING         3

//////////////////
// Enumerations //
//////////////////

typedef enum {
  sftApps = 0,
  sftMenu,
  sftCalc,
  sftFind
} StrokeFromType;

typedef enum {
  sttApps = 0,
  sttMenu,
  sttCalc,
  sttFind,
  sttGraffiti,
  sttScreen
} StrokeToType;

typedef enum {
  topLeft = 0,
  topRight,
  bottomLeft,
  bottomRight
} TapSpotType;

////////////////
// Structures //
////////////////

typedef struct {
  UInt8 prefVersion;
  Boolean bEnabled	: 1;
  Boolean bStroke	: 1;
  Boolean bTap		: 1;
  StrokeFromType strokeFrom;
  StrokeToType strokeTo;
  TapSpotType tapSpot;
} OffStrokePrefs;
